Support for KPA EtherCAT Master version 1.5 will be stopped in January 2021

Logo KPA EtherCAT Master

06 Mar. 2020

From January 11, 2021, koenig-pa will no longer offer updates or technical support for KPA EtherCAT Master v1.5.

What does end of support mean?

From January 11, 2021, your system running KPA EtherCAT Master v1.5 will still function and you may continue purchasing runtime licenses, but koenig-pa will no longer provide the following:

  • Technical support for any issues.
  • Software updates or fixes.

Moreover, if you are still using KPA EtherCAT Master 1.5 or lower you may have issues with new EtherCAT Slave devices.

Therefore, we suggest you to move to a stable Master development kit such as KPA EtherCAT Master v1.6, which is provided with the latest updates and technical support. We guarantee 100% backward API and binary compatibility.

Get a stable Master development kit

KPA EtherCAT Master v1.6 supports latest ETG changes, such as Explicit Device Identification (EDI), gateways and device profiles support, multimaster and asynchronous diagnostics with new Event Handler API (you may still work with blocking calls using KPA EtherCAT Master v1.5 API).

Learn more about new features of KPA EtherCAT Master v1.6

KPA EtherCAT Master development kits are available through Customer Portal.

In case of any questions about end of support or for recommendations for what to do next contact our sales team.

  End of support of KPA EtherCAT Master v1.5 (36.7 KB, 143 hits)